package site

import (
	"strings"

	"git.rdelaage.ovh/rdelaage/cyanocorax/model/author"
	"git.rdelaage.ovh/rdelaage/cyanocorax/model/serie"
)

type Site struct {
	Name       string        `json:"name"`
	Icon       string        `json:"icon"`
	Authors  []author.Author `json:"authors"`
	Series   []serie.Serie   `json:"series"`
	Abstract []string        `json:"abstract"`
}

func (s *Site) GetAbstract() string {
	return strings.Join(s.Abstract, "\n")
}

func (s *Site) SetAbstract(newAbstract string) {
	s.Abstract = strings.Split(newAbstract, "\n")
}
